<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('salary_components', function (Blueprint $table) {
            $table->string('calculation_type')->nullable()->change();
            $table->decimal('value', 10, 2)->nullable()->change();
        });
    }

    public function down(): void
    {
        Schema::table('salary_components', function (Blueprint $table) {
            $table->string('calculation_type')->nullable(false)->change();
            $table->decimal('value', 10, 2)->nullable(false)->change();
        });
    }
};
